﻿using Syncfusion.UI.Xaml.Grid;
using System.Windows;
using System.Windows.Controls;

namespace SfDataGridDemo
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        //Event customization
        private void OnFilterToggleButtonToolTipOpening(object sender, ToolTipEventArgs e)
        {
            //Here get the FilterToogleButton
            var filterToggleButton = e.Source as FilterToggleButton;

            if (filterToggleButton != null)
            {
                //Here get the mouse hovering GridColumn
                var column = filterToggleButton.DataContext as GridColumn;

                if (column != null)
                {
                    //Here customize the ToolTip based on different column 
                    if (column.MappingName == "OrderID")
                    {
                        filterToggleButton.ToolTip = "OrderID ToolTip";
                    }
                    else if (column.MappingName == "CustomerID")
                    {
                        filterToggleButton.ToolTip = "CustomerID ToolTip";
                    }
                    else
                        //Here handle the ToolTip for other columns 
                        e.Handled = true;
                }
            }
        }
    }  
}